Problèmes et questions concernant le noyau et le support matériel.
Répondre

pilote pour canon isensys MF212W ne fonctionne pas

#1Messageil y a 2 mois

Bonsoir
Je dispose d'une imprimante canon MF212W et le pilote récent sur le site de canon ne s'installe pas.
Voici une copie du terminal:

[max@max-pc ~]$ cd ~
[max@max-pc ~]$ cd Téléchargements 
[max@max-pc Téléchargements]$ ls 
linux-UFRII-drv-v510-fr-20.tar.gz
[max@max-pc Téléchargements]$ cd linux-UFRII-drv-v500-fr
bash: cd: linux-UFRII-drv-v500-fr: Aucun fichier ou dossier de ce type
[max@max-pc Téléchargements]$ cd linux-UFRII-drv-v500-fr
bash: cd: linux-UFRII-drv-v500-fr: Aucun fichier ou dossier de ce type
[max@max-pc Téléchargements]$ cd linux-UFRII-drv-v510-fr
[max@max-pc linux-UFRII-drv-v510-fr]$ sudo ./install.sh 

Nous espérons que vous avez reçu de votre administrateur système local les consignes traditionnelles. Généralement, elles se concentrent sur ces trois éléments :

    #1) Respectez la vie privée des autres.
    #2) Réfléchissez avant d'utiliser le clavier.
    #3) De grands pouvoirs confèrent de grandes responsabilités.

[sudo] Mot de passe de max : 
Ce programme d'installation est recommandé pour les distributions suivantes actuellement prises en charge comme version de ce programme d'installation :
- Fedora/Ubuntu/CentOS 7.6/Debian 8.11/Debian 9.8 ou les distributions postérieures

Si ce programme d'installation est exécuté sur des distributions pour lesquelles la période de prise en charge a pris fin, l'installation de bibliothèques système supplémentaires pourrait être nécessaire une fois l'installation des pilotes terminée.

Veuillez noter qu'une connexion Internet est nécessaire pour l'installation.

Voulez-vous passer à l'installation ? (y/n)y

./install.sh: ligne 507: dpkg : commande introuvable
#----------------------------------------------------#
# Install Start
#----------------------------------------------------#
Machine Type = amd64
Package Type = deb
Package list = 
    ./64-bit_Driver/Debian/cnrdrvcups-ufr2-uk_5.10-1_amd64.deb

#----------------------------------------------------#
# apt-get update
#----------------------------------------------------#
./install.sh: ligne 284: apt-get : commande introuvable


#----------------------------------------------------#
# apt-get install
#----------------------------------------------------#
./install.sh: ligne 313: apt-get : commande introuvable

#----------------------------------------------------#
# Install Package Check
#----------------------------------------------------#
./install.sh: ligne 344: dpkg : commande introuvable
 NG: libglade2-0

#----------------------------------------------------#
# apt-get install
#----------------------------------------------------#
./install.sh: ligne 313: apt-get : commande introuvable

#----------------------------------------------------#
# Install Package Check
#----------------------------------------------------#
./install.sh: ligne 344: dpkg : commande introuvable
 NG: libjpeg62

#----------------------------------------------------#
# apt-get install
#----------------------------------------------------#
./install.sh: ligne 313: apt-get : commande introuvable

#----------------------------------------------------#
# Install Package Check
#----------------------------------------------------#
./install.sh: ligne 344: dpkg : commande introuvable
 Replace: libbeecrypt7 -> libgcrypt20

#----------------------------------------------------#
# apt-get update
#----------------------------------------------------#
./install.sh: ligne 284: apt-get : commande introuvable


#----------------------------------------------------#
# apt-get install
#----------------------------------------------------#
./install.sh: ligne 313: apt-get : commande introuvable

#----------------------------------------------------#
# Install Package Check
#----------------------------------------------------#
./install.sh: ligne 344: dpkg : commande introuvable
 NG: libgcrypt20

#----------------------------------------------------#
# apt-get install
#----------------------------------------------------#
./install.sh: ligne 313: apt-get : commande introuvable

#----------------------------------------------------#
# Install Package Check
#----------------------------------------------------#
./install.sh: ligne 344: dpkg : commande introuvable
 Replace: libbeecrypt-dev -> libgcrypt20-dev

#----------------------------------------------------#
# apt-get update
#----------------------------------------------------#
./install.sh: ligne 284: apt-get : commande introuvable


#----------------------------------------------------#
# apt-get install
#----------------------------------------------------#
./install.sh: ligne 313: apt-get : commande introuvable

#----------------------------------------------------#
# Install Package Check
#----------------------------------------------------#
./install.sh: ligne 344: dpkg : commande introuvable
 NG: libgcrypt20-dev

#----------------------------------------------------#
# apt-get install
#----------------------------------------------------#
./install.sh: ligne 313: apt-get : commande introuvable

#----------------------------------------------------#
# Install Package Check
#----------------------------------------------------#
./install.sh: ligne 344: dpkg : commande introuvable
 NG: libjbig0

Certaines bibliothèques système pourraient ne pas être installées.
Reportez-vous au fichier Lisezmoi pour plus d'informations.
Voulez-vous passer à l'installation ? (y/n)y

#----------------------------------------------------#
# Install Printer Driver (dpkg -i -G --force-overwrite)
#----------------------------------------------------#
./install.sh: ligne 393: dpkg : commande introuvable
./install.sh: ligne 402: dpkg : commande introuvable

#----------------------------------------------------#
# cups restart
#----------------------------------------------------#
service cups restart
./install.sh: ligne 273: service : commande introuvable

Installation impossible.
[max@max-pc linux-UFRII-drv-v510-fr]$ 

pilote pour canon isensys MF212W ne fonctionne pas

#2Messageil y a 2 mois

bonjour,
Tu lances un programmes qui fait des apt donc c'est un script ubuntu

pilote pour canon isensys MF212W ne fonctionne pas

#3Messageil y a 2 mois

Salut,

Le pilote (cnrdrvcups-lb) existe dans AUR :

1 aur/cnrdrvcups-lb 5.10-1 [6+] [1.06%] [27 Jan 2020]
    CUPS Canon UFR II LIPSLX CARPS2 printer driver for LBP iR MF ImageCLASS ImageRUNNER Laser Shot i-SENSYS ImagePRESS ADVANCE printers and copiers

pilote pour canon isensys MF212W ne fonctionne pas

#4Messageil y a 2 mois

Merci pour les réponses.
pour Smurf:
Je suis novice pour Manjaro; comment faire pour installer ce pilote?

pilote pour canon isensys MF212W ne fonctionne pas

#5Messageil y a 2 mois

:bjr: normalement tu utilises pamac ? (sans signature difficile de savoir quoi répondre)
Il faut dans les préférences activer aur et alors il est possible de le trouver dans pamac

si octopi , il faut aussi installer un helpeur aur

AUR est une source non officielle de paquets (une source pas un dépôt de paquets)
administration/modération

pilote pour canon isensys MF212W ne fonctionne pas

#6Messageil y a 2 mois

J'ai renseigné ma signature; je vais prendre connaissance des renseignements qui concernent la distribution afin de résoudre le problème du pilote pour mon imprimante.

pilote pour canon isensys MF212W ne fonctionne pas

#7Messageil y a 3 jours

Bonsoir
Je reviens sur le sujet.
J'ai bien ajouter le dépôt AUR avec le pamac manager. Mais si je cherche le pilote indiqué ci dessus par smurf dans ces dépots, il en trouve rien.
Ai je fait une mauvaise manipulation?
Merci de votre attention.

pilote pour canon isensys MF212W ne fonctionne pas

#8Messageil y a 2 jours

tu lances pamac et tu tapes directement ce que tu cherches (ça ouvres la zone de recherche) , et ça trouve !
Image

pilote pour canon isensys MF212W ne fonctionne pas

#9Messageil y a 1 jour

Bonsoir
J'ai effectué les manipulations suivantes:
1) Installation des dépôts AUR: c'est ok.
2) Copie de la ligne donnée par Smurf dans la recherche:
CUPS Canon UFR II LIPSLX CARPS2 printer driver for LBP iR MF ImageCLASS ImageRUNNER Laser Shot i-SENSYS ImagePRESS ADVANCE printers and copiers
3) Apparition de cette page:
https://imgur.com/ulrS1Ou.png
4) Apparition de cette réponse et acceptation de la désinstallation:
https://imgur.com/OP6h4Rx.png
5) On obtient bien ceci:
https://imgur.com/OU7r799.png
6) Mais ensuite rien ne se fait pour les deux autres demandes et l'imprimante ne fonctionne pas:
https://imgur.com/ai1EihE.png
Ai je mal pigé ce qu'il faut faire?

pilote pour canon isensys MF212W ne fonctionne pas

#10Messageil y a 1 jour

A priori, je n'aurais installé que le 2ème (version 5.10) sans toucher aux autres.

Ensuite il faut aller dans Cups et "installer" / configurer l'imprimante.

pilote pour canon isensys MF212W ne fonctionne pas

#11Messageil y a 19 heures

Merci denis pom
"Ensuite il faut aller dans Cups et "installer" / configurer l'imprimante."
D'accord, mais il se trouve que je suis novice dans Linux et Manjaro et je ne vois pas comment procéder;
qu'est ce que cups? et comment installer/configurer une imprimante sous Manjaro?
Merci

pilote pour canon isensys MF212W ne fonctionne pas

#12Messageil y a 18 heures

Bonjour.
Cups peut se lancer dans ton navigateur en rentrant l'adresse http://localhost:631/admin.
L'utilisateur doit être root avec le mot de passe que tu as attribué à root lors de l'installation. Souvent on met le même.
Ensuite tu te laisse guider Add printer etc....

Répondre